postgresql-common_190_all.deb


Advertisement

Description

postgresql-common - PostgreSQL database-cluster manager

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name postgresql-common
Package version 190
Package architecture all
Package type deb
Installed size 622 B
Download size 153.34 KB
Official Mirror archive.ubuntu.com
The postgresql-common package provides a structure under which
multiple versions of PostgreSQL may be installed and/or multiple
clusters maintained at one time.
The commands provided are pg_conftool, pg_createcluster, pg_ctlcluster,
pg_dropcluster, pg_lsclusters, pg_renamecluster, pg_upgradecluster,
pg_virtualenv.
PostgreSQL is a fully featured object-relational database management
system. It supports a large part of the SQL standard and is designed
to be extensible by users in many aspects. Its features include ACID
transactions, foreign keys, views, sequences, subqueries, triggers,
outer joins, multiversion concurrency control, and user-defined types
and functions.

Alternatives

Package Version Architecture Repository
postgresql-common_190_all.deb 190 all Ubuntu Main
postgresql-common - - -

Requires

Name Value
adduser -
debconf >= 0.5.00
debconf-2.0 -
lsb-base >= 3.0-3
postgresql-client-common = 190
procps -
ssl-cert >= 1.0.11
ucf -

Conflicts

Name Value
postgresql-7.4 -
postgresql-8.0 -

Download

Type URL
Binary Package postgresql-common_190_all.deb
Source Package postgresql-common

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install postgresql-common deb package:
    # sudo apt-get install postgresql-common

Files

Path
/etc/apt/apt.conf.d/01autoremove-postgresql
/etc/init.d/postgresql
/etc/logrotate.d/postgresql-common
/etc/sysctl.d/30-postgresql-shm.conf
/lib/systemd/system/postgresql.service
/lib/systemd/system/postgresql@.service
/lib/systemd/system-generators/postgresql-generator
/usr/bin/pg_archivecleanup
/usr/bin/pg_config
/usr/bin/pg_conftool
/usr/bin/pg_createcluster
/usr/bin/pg_ctlcluster
/usr/bin/pg_dropcluster
/usr/bin/pg_lsclusters
/usr/bin/pg_renamecluster
/usr/bin/pg_upgradecluster
/usr/bin/pg_virtualenv
/usr/lib/tmpfiles.d/postgresql.conf
/usr/sbin/pg_updatedicts
/usr/share/doc/postgresql-common/NEWS.Debian.gz
/usr/share/doc/postgresql-common/README.Debian.gz
/usr/share/doc/postgresql-common/README.Devel
/usr/share/doc/postgresql-common/README.md.gz
/usr/share/doc/postgresql-common/README.systemd
/usr/share/doc/postgresql-common/changelog.gz
/usr/share/doc/postgresql-common/copyright
/usr/share/doc/postgresql-common/dependencies.png
/usr/share/lintian/overrides/postgresql-common
/usr/share/man/man1/pg_conftool.1.gz
/usr/share/man/man1/pg_createcluster.1.gz
/usr/share/man/man1/pg_ctlcluster.1.gz
/usr/share/man/man1/pg_dropcluster.1.gz
/usr/share/man/man1/pg_lsclusters.1.gz
/usr/share/man/man1/pg_renamecluster.1.gz
/usr/share/man/man1/pg_upgradecluster.1.gz
/usr/share/man/man1/pg_virtualenv.1.gz
/usr/share/man/man8/pg_updatedicts.8.gz
/usr/share/postgresql-common/createcluster.conf
/usr/share/postgresql-common/init.d-functions
/usr/share/postgresql-common/pg_checksystem
/usr/share/postgresql-common/run-upgrade-scripts
/usr/share/postgresql-common/testsuite
/usr/share/postgresql-common/pgdg/apt.postgresql.org.sh
/usr/share/postgresql-common/t/001_packages.t
/usr/share/postgresql-common/t/002_existing_clusters.t
/usr/share/postgresql-common/t/003_package_checks.t
/usr/share/postgresql-common/t/005_PgCommon.t
/usr/share/postgresql-common/t/006_next_free_port.t
/usr/share/postgresql-common/t/007_pg_conftool.t
/usr/share/postgresql-common/t/010_defaultport_cluster.t
/usr/share/postgresql-common/t/015_start_stop.t
/usr/share/postgresql-common/t/020_create_sql_remove.t
/usr/share/postgresql-common/t/021_pg_renamecluster.t
/usr/share/postgresql-common/t/022_recovery.t
/usr/share/postgresql-common/t/025_logging.t
/usr/share/postgresql-common/t/030_errors.t
/usr/share/postgresql-common/t/031_errors_disk_full.t
/usr/share/postgresql-common/t/032_ssl_key_permissions.t
/usr/share/postgresql-common/t/040_upgrade.t
/usr/share/postgresql-common/t/041_upgrade_custompaths.t
/usr/share/postgresql-common/t/043_upgrade_ssl_cert.t
/usr/share/postgresql-common/t/050_encodings.t
/usr/share/postgresql-common/t/052_upgrade_encodings.t
/usr/share/postgresql-common/t/060_obsolete_confparams.t
/usr/share/postgresql-common/t/070_non_postgres_clusters.t
/usr/share/postgresql-common/t/080_start.conf.t
/usr/share/postgresql-common/t/085_pg_ctl.conf.t
/usr/share/postgresql-common/t/090_multicluster.t
/usr/share/postgresql-common/t/100_upgrade_scripts.t
/usr/share/postgresql-common/t/110_integrate_cluster.t
/usr/share/postgresql-common/t/120_pg_upgradecluster_scripts.t
/usr/share/postgresql-common/t/130_nonroot_admin.t
/usr/share/postgresql-common/t/140_pg_config.t
/usr/share/postgresql-common/t/150_tsearch_stemming.t
/usr/share/postgresql-common/t/160_alternate_confroot.t
/usr/share/postgresql-common/t/170_extensions.t
/usr/share/postgresql-common/t/180_ecpg.t
/usr/share/postgresql-common/t/8.1.conf
/usr/share/postgresql-common/t/8.2.conf
/usr/share/postgresql-common/t/8.3.conf
/usr/share/postgresql-common/t/8.4.conf
/usr/share/postgresql-common/t/9.0.conf
/usr/share/postgresql-common/t/9.1.conf
/usr/share/postgresql-common/t/9.2.conf
/usr/share/postgresql-common/t/9.3.conf
/usr/share/postgresql-common/t/9.4.conf
/usr/share/postgresql-common/t/9.5.conf
/usr/share/postgresql-common/t/9.6.conf
/usr/share/postgresql-common/t/TestLib.pm
/usr/share/postgresql-common/t/template
/usr/share/postgresql-common/upgrade-scripts/SPECIFICATION

Changelog

2018-02-08 - Christoph Berg <christoph.berg@credativ.de>
postgresql-common (190) unstable; urgency=medium
* Move packaging repository to salsa.debian.org
* pg_lsclusters: Add --help.
* pg_virtualenv: Error out if no server packages are installed.
* postgresql-common recommends e2fsprogs, we are using chattr in
pg_createcluster. (Closes: #887251)
* PgCommon.pm: Fix include directives parser, spotted by ironhalik, thanks!
* postgresql@.service: Set Timeoutstart=0, which is the same as infinity,
but works on older systemd versions as well.
* Rewrite architecture.html as README.md.
* t/006_next_free_port.t: Drop -q argument from netcat, nmap-ncat.rpm
doesn't have it.
* t/032_ssl_key_permissions.t: Adjust for 9.4 in oldstable which still has
the old permissions check.
2017-12-14 - Christoph Berg <myon@debian.org>
postgresql-common (189) unstable; urgency=medium
[ Chris Lamb ]
* Update README.Debian for postgresql-10. (Closes: #876438)
[ Christoph Berg ]
* dh_make_pgxs: Use PostgreSQL license as default, fix extension name.
* Modernize README.Debian's version numbers and SSL instructions.
* postgresql@.service: Ignore startup failure, recovery might take
arbitrarily long to finish. The actual service status still correctly
reflects if the postmaster process is running.
https://www.postgresql.org/message-id/20171111205316.u56lkmkakdmcx6zm%40msg.df7cb.de
* supported-versions: Version 10 on Ubuntu 18.04 (bionic). (Closes: #881501)
* debian/maintscripts-functions: bump update-alternatives priority of
version 1x to 1x0.
* Unsupport 9.2 on apt.postgresql.org.
* t/140_pg_config.t: Also test /usr/bin/pg_config.libpq-dev, and check
MKDIR_P and abs_top_build/srcdir in Makefile.global.
2017-11-08 - Christoph Berg <christoph.berg@credativ.de>
postgresql-common (188) unstable; urgency=medium
* pg_ctlcluster, pg_createcluster, pg_upgradecluster: Use lchown instead
of chown to mitigate privilege escalation via symlinks. (CVE-2017-8806.
Related to CVE-2017-12172 in PostgreSQL; extends our earlier fix for
CVE-2016-1255.)
* dh_make_pgxs: Add options to set package name and version.
* pg_lsclusters: Raise error when called on a specific cluster that does not
exist. This was the behavior before the "accept dead postgresql.conf
symlinks" change, but not coded explicitly.
2017-10-22 - Christoph Berg <myon@debian.org>
postgresql-common (187) unstable; urgency=medium
* Consistently call psql -X. (Closes: #877920)
* Update pt translation, thanks Ricardo Silva! (Closes: #872430)
* pg_virtualenv: Drop "BUG" message that really just means that
pg_createcluster threw an error.
* pg_createcluster: Drop new cluster if --start was requested and starting
fails.
* pg_createcluster: If not running as postgres or root, don't attempt to
install config and data parent directories with owner postgres.
* pg_lsclusters, postgresql-generator, get_version_clusters, cluster_info,
read_conf_file: Accept dead postgresql.conf symlinks, filesystem might not
be mounted yet.
* pg_virtualenv: Fix version comparison when determining newest PG major.
* pg_updatedicts, postgresql-common.postinst: Create tsearch dictionaries on
first install and set umask for correct permissions. (Closes: #868232)
Thanks to Christian Ehrhardt for the analysis!
* Demote postgresql-common hunspell/myspell triggers to noawait.
2017-10-05 - Christoph Berg <christoph.berg@credativ.de>
postgresql-common (186) unstable; urgency=medium
* Team upload.
* Bump default apt.postgresql.org version to 10.
* t/020_create_sql_remove.t: Support 8.x xlog filenames.
* Update ca translation, thanks Innocent De Marchi! (Closes: #876472)
* PgCommon.pm: Use BSD ps syntax in check_pidfile_running.

See Also

Package Description
postgresql-contrib_10+190_all.deb additional facilities for PostgreSQL (supported version)
postgresql-doc-10_10.3-1_all.deb documentation for the PostgreSQL database management system
postgresql-doc_10+190_all.deb documentation for the PostgreSQL database management system
postgresql-plperl-10_10.3-1_amd64.deb PL/Perl procedural language for PostgreSQL 10
postgresql-plpython-10_10.3-1_amd64.deb PL/Python procedural language for PostgreSQL 10
postgresql-plpython3-10_10.3-1_amd64.deb PL/Python 3 procedural language for PostgreSQL 10
postgresql-pltcl-10_10.3-1_amd64.deb PL/Tcl procedural language for PostgreSQL 10
postgresql_10+190_all.deb object-relational SQL database (supported version)
powermgmt-base_1.33_all.deb common utils for power management
powertop_2.9-0ubuntu1_amd64.deb diagnose issues with power consumption and management
ppp-dev_2.4.7-2+2ubuntu1_all.deb Point-to-Point Protocol (PPP) - development files
ppp_2.4.7-2+2ubuntu1_amd64.deb Point-to-Point Protocol (PPP) - daemon
pppconfig_2.3.23_all.deb Text menu based utility for configuring ppp
pppoeconf_1.21ubuntu1_all.deb configures PPPoE/ADSL connections
pptp-linux_1.9.0+ds-2_amd64.deb Point-to-Point Tunneling Protocol (PPTP) Client
Advertisement
Advertisement